-- This file:
--   http://anggtwu.net/LUA/dednat7load.lua.html
--   http://anggtwu.net/LUA/dednat7load.lua
--          (find-angg "LUA/dednat7load.lua")
-- Author: Eduardo Ochs <eduardoochs@gmail.com>
--
-- (defun dl () (interactive) (find-angg "LUA/dednat7load.lua"))
-- (defun du () (interactive) (find-Deps1-cps "dednat7load"))
-- (defun dt () (interactive) (find-LATEX "2024-1-dn7-test1.tex"))

--    Original:  (find-angg   "LUA/dednat7load.lua")
--        Copy:  (find-angg "LATEX/dednat7load.lua")
--  Supersedes:  (find-angg "LATEX/dednat6load.lua")
-- Update with:  (find-Deps1-cps  "dednat7load")
--         See:  (find-es "dednat" "dednat7-dednat7")
--
dednat7dir   = dednat7dir or "dednat7/"
package.path = dednat7dir.."?.lua;"..package.path
if not package.loaded.edrxlib then   -- (find-angg "LUA/lua50init.lua" "edrxlib")
  dofile(dednat7dir.."edrxlib.lua")  -- (find-angg "LUA/lua50init.lua")
end
require = DednatRequire.newrequire   -- (find-angg "LUA/lua50init.lua" "DednatRequire")
require "DeleteComments3"            -- (find-angg "LUA/DeleteComments3.lua")
require "Output1"                    -- (find-angg "LUA/Output1.lua")
require "Dednat7"                    -- (find-angg "LUA/Dednat7.lua")
require "DednatPreamble1"            -- (find-angg "LUA/DednatPreamble1.lua")
require "Dednat7oldheads"            -- (find-angg "LUA/Dednat7oldheads.lua")


-- Command-line switches are not supported yet!
-- See: (find-dn6 "options6.lua" "dooptions_help")
--      (find-angg "LUA/GetOpt1.lua")
--
if tex then
  texfile0(status.filename)          -- (find-angg "LUA/Dednat7.lua" "texfile0")
end


-- Local Variables:
-- coding:  utf-8-unix
-- End:
